AwtColor
Date: 2019-10-22

org.jmol.awt

## Class AwtColor

- java.lang.Object
- - java.awt.Color
  - - org.jmol.awt.AwtColor

- All Implemented Interfaces:
    java.awt.Paint, java.awt.Transparency, java.io.Serializable, javajs.api.GenericColor

      public class AwtColor
      extends java.awt.Color
      implements javajs.api.GenericColor

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `opacity`

    - ### Fields inherited from class java.awt.Color

      `black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

    - ### Fields inherited from interface java.awt.Transparency

      `BITMASK, OPAQUE, TRANSLUCENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AwtColor(int rgb)`
    `AwtColor(int r, int g, int b)`
    `AwtColor(int r, int g, int b, int a)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javajs.api.GenericColor` | `get3(int r, int g, int b)`
    `javajs.api.GenericColor` | `get4(int r, int g, int b, int a)`
    `int` | `getOpacity255()`
    `void` | `setOpacity255(int a)`

    - ### Methods inherited from class java.awt.Color

      `brighter, createContext, darker, decode, equals, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, hashCode, HSBtoRGB, RGBtoHSB, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javajs.api.GenericColor

      `getRGB`

- - ### Field Detail

    - #### opacity

          private int opacity

  - ### Constructor Detail

    - #### AwtColor

          public AwtColor(int rgb)

    - #### AwtColor

          public AwtColor(int r,
                          int g,
                          int b)

    - #### AwtColor

          public AwtColor(int r,
                          int g,
                          int b,
                          int a)

  - ### Method Detail

    - #### get4

          public javajs.api.GenericColor get4(int r,
                                              int g,
                                              int b,
                                              int a)

    - #### get3

          public javajs.api.GenericColor get3(int r,
                                              int g,
                                              int b)

    - #### getOpacity255

          public int getOpacity255()

      Specified by:
        `getOpacity255` in interface `javajs.api.GenericColor`

    - #### setOpacity255

          public void setOpacity255(int a)

      Specified by:
        `setOpacity255` in interface `javajs.api.GenericColor`